PHP Manual
Prev |  | Next

# w32api_init_dtype

(4.2.0 - 4.2.3 only)

w32api_init_dtype -- Creates an instance of the data type typename and fills it with the values passed

## Description

resource w32api_init_dtype ( string typename, mixed value [, mixed ...] )

This function creates an instance of the data type named `typename`, filling in the values of the data type.

## Parameters

`typename`

  The `typename` parameter is case sensitive.

`value`

  You should give the values in the same order as you defined the data type with w32api_deftype().

`...`

## Return Values

Returns a `dynaparm` resource.

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Prev | Home | Next
w32api_deftype | Up | w32api_invoke_function